# A nasty hack to find which kernel version the build is for when building using the brew build system.
# 'uname -a' doesn't work becuase brew uses chroot enviroment.
%{!?kmoddir:%define kmoddir %(/bin/ls -tr /lib/modules | tail -1)}
%{!?ksrcdir:%define ksrcdir %(/bin/ls -tr /usr/src/kernels | tail -1)}

Name: spice-usb-redirector
Version: 4.5
Release: 2%{?dist}
Summary: USB redirector controller for SPICE client

Group: System Environment/Kernel
License: Redistributable, no modification permitted
URL: http://git.engineering.redhat.com/?p=users/ghammer/usbrdrctrl.git

%define githead a29f0f6
Source0: %{name}-%{version}-%{githead}.tar.gz

Patch0: usbrdr-client-ip-bug.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}

BuildRequires: kernel kernel-devel boost-devel
Requires: boost
Requires: kmod-%{name}
ExclusiveArch: i386 x86_64

%package -n kmod-spice-usb-redirector
Summary: A kernel module for spice-usb-redirector
Group: System Environment/Kernel
License: GPLv2
%global _use_internal_dependency_generator 0
Provides: spice-usb-redirector-kmod = %{?epoch:%{epoch}:}%{version}-%{release}
Requires(post): /sbin/depmod
Requires(postun): /sbin/depmod

%description
Non-free USB drivers which are used to share USB devices with the guest
operating system.

%description   -n kmod-spice-usb-redirector
This package provides the spice-usb-redirector kernel module
built for the Linux kernel %{ksrcdir} for the %{_arch}
family of processors.

%prep
%setup -c -q
%patch0 -p 1

%build
make -C usbrdr/linux/kspiceusb KERNELDIR=/usr/src/kernels/%{ksrcdir}
make ARCH=%{_arch}


%install
rm -rf %{buildroot}
make -C pkg ARCH=%{_arch} PREFIX=%{buildroot} LIBDIR=%{_libdir} BINDIR=%{_bindir} KERNELREL=%{kmoddir} rpmrelease=%{release} install INITSCRIPT=rhelinit


%clean
rm -Rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{_libdir}/libspiceusbapi.so
%{_bindir}/spiceusbsrvd
%{_sysconfdir}/rc.d/init.d/spiceusbsrvd
%{_bindir}/usbrdrctrl
%doc COPYING


%files         -n kmod-spice-usb-redirector
%defattr(644,root,root,755)
/lib/modules/%{kmoddir}/extra/kspiceusb/kspiceusb.ko
%doc usbrdr/linux/kspiceusb/COPYING

%post
/sbin/chkconfig --add spiceusbsrvd


%post          -n kmod-spice-usb-redirector
if [ -e "/boot/System.map-%{kmoddir}" ]; then
    /sbin/depmod -aeF /boot/System.map-%{kmoddir} %{kmoddir} > /dev/null || :
fi

modules=( $(find /lib/modules/%{kmoddir}/extra/kspiceusb/ -name '*.ko') )
if [ -x "/sbin/weak-modules" ]; then
    printf '%s\n' "${modules[@]}"     | /sbin/weak-modules --add-modules
fi


%preun
/sbin/chkconfig --del spiceusbsrvd


%preun         -n kmod-spice-usb-redirector
find /lib/modules/%{kmoddir}/extra/kspiceusb/ -name '*.ko' > /var/run/rpm-kmod-%{name}-modules


%postun        -n kmod-spice-usb-redirector
/sbin/depmod -aF /boot/System.map-%{kmoddir} %{kmoddir} > /dev/null || :
if [ "$1" = 0 ];then
    modules=( $(cat /var/run/rpm-kmod-%{name}-modules) )
    #rm /var/run/rpm-kmod-%{name}-modules
    if [ -x "/sbin/weak-modules" ]; then
        printf '%s\n' "${modules[@]}"         | /sbin/weak-modules --remove-modules
    fi
fi



%changelog
* Fri Nov 5 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 5.0.x

* Sun Sep 5 2010 Eddy Nigg <eddy_nigg.org>
- Rebuild for StartCom Linux 5.0.x

* Mon May 31 2010 Gal Hammer <ghammer@redhat.com> - 4.5-2%{?dist}
- fixed bz#586304 - ignoring client ip field until device it connected.
Resolves: #599114

* Wed Mar 17 2010 Gal Hammer <ghammer@redhat.com> - 4.5-1%{?dist}
- fixed bz#574376. used a wrong way to reference a variable.
Resolves: #574376

* Mon Jan 18 2010 Gal Hammer <ghammer@redhat.com> - 4.5-0%{?dist}
- Initial rpmbuild.

